#-----------------------------------------------------------------------------
%define		dist		.ok
%define		shortname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	mate-backgrounds
Version		:	1.27.1
Release		:	14.4.0.0%{?dist}
Summary		:	Background images and data for MATE.
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	intltool
BuildRequires	:	mate-common
BuildRequires	:	meson

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
This module contains a set of backgrounds packaged with the MATE desktop.

#-----------------------------------------------------------------------------
%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_datadir}/backgrounds/%{shortname}/*/*.{jpg,png}
%{_datadir}/%{shortname}-background-properties/%{shortname}-*.xml

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build
meson							\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	build

ninja							\
	-C build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}                                    \
        ninja                                           \
        -C build                                        \
        install

%find_lang %{name}

#-----------------------------------------------------------------------------
%changelog
